# tabby-api-wrapper

Image renderer with `2` workers. \
`216` lines of code, `1` dependency

## Installation

Current stable version: `1.0`

```
$ npm install tabby-api-wrapper
```

## Usage

```js
const TabbyApi = require('tabby-api-wrapper');
const api = new TabbyApi('your_token'); // required

const image = api.clyde('Hello world'); // returns buffer
```

*Example:*
```js
const TabbyApi = require('tabby-api-wrapper');
const api = new TabbyApi('your_token');
const client = new Discord.Client();

client.on('message', async (message) => {
    let args = message.content.toLowerCase().split(' ');
    if (args[0] == 'clyde') {
        let buffer = await api.clyde(args.slice(1).join(' '));
        let attachment = new Discord.MessageAttachment(buffer, 'clyde.png');
        message.channel.send(attachment);
    };
});
```

### Token

Token required. \
`request` - [Form](https://docs.google.com/forms/d/e/1FAIpQLSfRvNEhHsAmoGh1p7XnSy-Y4cpYqIyJ6__XAoCVIN_SCgigJA/viewform)

### Limit

`5` requests per second. \
If you exceed rate limit, your IP will be banned for minute.

### Endpoints

`affect` - avatar \
`beautiful` - avatar \
`blur` - avatar \
`circle` - avatar \
`clyde` - avatar \
`deepfry` - avatar \
`delete` - avatar \
`dither` - avatar \
`gay` - avatar \
`grayscale` - avatar \
`hitler` - avatar \
`changemymind` - message \
`invert` - avatar \
`jail` - avatar \
`jokeoverhead` - avatar \
`pixelate` - avatar \
`qr` - message \
`rip` - avatar \
`rotate` - avatar (90 degrees) \
`sepia` - avatar \
`shit` - avatar \
`trash` - avatar \
`triggered` - avatar (gif) \
`wanted` - avatar \
`wasted` - avatar